API Reference / Bootstrap

GET /bootstrap

Get useful information about the logged API user's account

Includes global account configuration such as lead sources and deal stages, and user-specific configuration such as date format and time zone.

Responses

200 OK
  • statusintegerint32

    Response code

  • messagestring

    Response message

  • timestampintegerunix-timestamp

    Response time

  • dataobject

    Bootstrap is a general wrapper around useful information you might need to interact with your OnePageCRM account using the API.

    object fields →
    • user_idstringbson-id

      ID of the logged API user

    • auth_keystring

      Key used to sign API requests as a means of authentication

    • userobject

      Useful information about the logged user and other members of the team. Each can update their own info. Admins can update all.

      object fields →
      • idstringbson-id

        ID of the user

      • first_namestring

        First name of the user

      • last_namestring

        Last name of the user

      • emailstring

        Email address of the user

      • company_namestring

        Name of the company that the user works for

      • account_rightsarray<string>

        List of permissions which the user possesses

      • photo_urlstring

        URL of the user’s profile picture

      • country_codestring

        ISO-3166 country code of the users address

      • bcc_emailstring

        BCC email dropbox address of the user (you only see your own)

      • google_contacts_emailstring

        Google Contacts email address of the user (you only see your own)

    • teamarray<object>

      List of users who make up the rest of the logged API users team

      array item fields →
      • idstringbson-id

        ID of the user

      • first_namestring

        First name of the user

      • last_namestring

        Last name of the user

      • emailstring

        Email address of the user

      • company_namestring

        Name of the company that the user works for

      • account_rightsarray<string>

        List of permissions which the user possesses

      • photo_urlstring

        URL of the user’s profile picture

      • country_codestring

        ISO-3166 country code of the users address

      • bcc_emailstring

        BCC email dropbox address of the user (you only see your own)

      • google_contacts_emailstring

        Google Contacts email address of the user (you only see your own)

    • account_typestring

      Descriptor for the type of the logged API user's account

      enum: pro · trial · free

    • settingsobject

      Application settings for the logged API user e.g. localization and for the account e.g. deal stages.

      object fields →
      • reminderobject

        Details about the sales action reminder email.

        object fields →
        • typestring

          The criteria which should cause a sales reminder email to be sent

          enum: never · every_day · new_task

        • hourintegerint32

          The time the sales reminder time is to be sent (assuming the criteria is met)

      • time_zonestring

        The time zone, for the API logged user

      • not_working_daysstring

        The days of the week, on which the user does not work (used to calculate the due date of promoted actions)

        enum: none · weekend · sunday

      • date_formatstring

        The logged API users preferred format for date strings

      • time_with_ampmboolean

        Use AM/PM (12-hour clock) for the time component of dates

      • listing_sizeintegerint32

        The number of items requested per page when scrolling

      • currencystring

        The currency for the account (only editable by admins)

      • currency_symbolstring

        The currency symbol for the account (only editable by admins)

      • separatorstring

        Symbol used to represent a decimal separator

      • delimiterstring

        Symbol used to represent a thousands delimiter

      • popular_countriesarray<string>

        The last 5 countries that were used in contact/company addresses

      • deal_stagesarray<object>

        The account's configured deal stages.

        array item fields →
        • stageintegerint32

          Integer in the range 0 to 100 (exclusive) indicating how close a deal is to being closed

        • labelstring

          Text description for the deal stage of the deal

      • pipelinesarray<object>

        The account's pipelines.

        array item fields →
        • pipelineobject

          Information about the sales process of products or services, including deal stages.

          object fields →
          • idstringbson-id

            ID of the pipeline

          • namestring

            Name of the pipeline

          • typestring

            Type of the pipeline (sales or delivery)

          • defaultboolean

            Is this pipeline the default pipeline in the account?

          • won_column_enabledboolean

            Specifies if the `WON` column is enabled for the pipeline

          • won_column_namestring

            Name of the `WON` column for the pipeline

          • stagesarray<object>

            Deal stages defined for the pipeline

            array item fields →
            • stageintegerint32

              Integer in the range 0 to 100 (exclusive) indicating how close a deal is to being closed

            • labelstring

              Text description for the deal stage of the deal

      • default_contact_typestring

        Denotes whether the logged API user, thinks of sales as people or organizations

        enum: company · individual

      • show_tidy_streamboolean

        Only show contacts with actions in the action stream?

      • show_company_fields_with_contactboolean

        Show organizational fields in contact view?

      • company_phone_enabledboolean

        Is the company phone field enabled?

      • company_url_enabledboolean

        Is the company URL field enabled?

      • company_address_enabledboolean

        Is the company address field enabled?

      • company_description_enabledboolean

        Is the company description field enabled?

      • send_push_notificationsboolean

        Should the user receive push notifications?

      • clipper_betaboolean

        Has the user enabled the clipper beta feature?

      • bcc_email_enabledboolean

        Has the user enabled the Bcc Capture address?

    • cost_setupobject

      Settings related to deals e.g. cost, commission. Disabled by default.

      object fields →
      • cost_enabledboolean

        Is the cost field enabled for deals?

      • cost_requiredboolean

        Is the cost field required when saving a deal?

      • commission_basestringrequired

        The base by which commission is to be calculated for deals

        enum: amount · margin

      • commission_percentagenumberfloat

        The default percentage by which the commission is to be calculated for deals (in the range 0.0 < commission_percentage < 100.0)

    • custom_fieldsarray<object>

      List of custom fields for the logged API user's account

      array item fields →
      • idstringbson-id

        ID of the custom field

      • namestringrequired

        Name of the custom field

      • typestringrequired

        Type of the custom field. There are several types of custom fields that may store data in different formats. External ID type is a special type introduced for referencing entities in the external systems. Its value is unique amid the whole system. Section divider type is introduced just for visual purpose: it allows grouping custom fields. If custom fields in the section don't have values then they are hidden in the 'view' UI (but always shown in 'edit' UI). This logic is applied in the API: if a contact doesn't have values for all the custom fields in the section then this section divider custom field isn't exposed in the API (along with other custom fields inside the section).

        enum: anniversary · date · multi_line_text · multiple_choice · number · select_box · single_line_text · external_id · section_divider

      • positionintegerint32

        The position of the custom field in the list

      • choicesarray<string>

        A list of possible choices (for fields of type `multiple_choice` or `select_box`)

    • company_fieldsarray<object>

      List of company fields for the logged API user's account

      array item fields →
      • idstringbson-id

        ID of the company field

      • namestringrequired

        Name of the company field

      • typestringrequired

        Type of the company field. There are several types of custom fields that may store data in different formats. External ID type is a special type introduced for referencing entities in the external systems. Its value is unique amid the whole system. Section divider type is introduced just for visual purpose: it allows grouping custom fields. If custom fields in the section don't have values then they are hidden in the 'view' UI (but always shown in 'edit' UI). This logic is applied in the API: if a company doesn't have values for all the custom fields in the section then this section divider custom field isn't exposed in the API (along with other custom fields inside the section).

        enum: date · multi_line_text · multiple_choice · number · select_box · single_line_text · external_id · section_divider

      • positionintegerint32

        The position of the company field in the list

      • choicesarray<string>

        A list of possible choices (for fields of type `multiple_choice` or `select_box`)

    • deal_fieldsarray<object>

      List of deal fields for the logged API user's account

      array item fields →
      • idstringbson-id

        ID of the deal field

      • namestringrequired

        Name of the deal field

      • typestringrequired

        Type of the deal field. There are several types of custom fields that may store data in different formats. External ID type is a special type introduced for referencing entities in the external systems. Its value is unique amid the whole system. Section divider type is introduced just for visual purpose: it allows grouping custom fields. If custom fields in the section don't have values then they are hidden in the 'view' UI (but always shown in 'edit' UI). This logic is applied in the API: if a deal doesn't have values for all the custom fields in the section then this section divider custom field isn't exposed in the API (along with other custom fields inside the section).

        enum: date · multi_line_text · multiple_choice · number · select_box · single_line_text · external_id · section_divider

      • positionintegerint32

        The position of the deal field in the list

      • choicesarray<string>

        A list of possible choices (for fields of type `multiple_choice` or `select_box`)

    • filtersarray<object>

      List of custom filters for the logged API's users account

      array item fields →
      • idstringbson-id

        ID of the custom filter

      • namestring

        Name of the custom filter

      • conditionsarray<array<string>>

        Conditions of the custom filter

    • call_resultsobject

      Map of call result keys to their display labels for the logged API's users account

    • call_results_orderarray<string>

      Order for the list of call results for the logged API's users account

    • next_action_datesarray<object>

      Quick date options for ease of date selection when creating new actions

      array item fields →
      • numberintegerint32

        Number of periods

      • periodstring

        Period type

        enum: days · weeks · months

    • predefined_actionsarray<object>

      The account's predefined actions (called 'Saved Actions' in the app).

      array item fields →
      • idstringbson-id

        ID of the predefined action

      • textstringrequired

        Description text of the predefined action

      • daysintegerint32required

        Suggested number of days until the action becomes due

    • contact_titlesarray<string>

      List of titles which can be used to prefix the names of contacts

  • lead_sourcesobject

    A way to classify the source of any contact that is added to OnePageCRM. Like Statuses, this list is pre-populated, and can be later edited to fit individual needs.

    object fields →
    • idstring

      ID of the lead source

    • textstringrequired

      Description of the lead source

    • countsintegerint32

      Number of contacts the (logged API) user owns, with the lead source

    • total_countintegerint32

      Number of contacts the entire team owns, with the lead source

    • action_stream_countintegerint32

      Number of contacts the (logged API) user has actions with, who also have the lead source

    • team_countsarray<object>

      Number of contacts, with the lead source (for each team member)

      array item fields →
      • user_idstringbson-id

        ID of the user

      • countsintegerint32

        Number of contacts the team member owns, with the lead source

  • statusesobject

    Values which help qualify where contacts are in the sales pipeline. The list of Statuses is already populated but it may be updated if needed, to better fit your organization.

    object fields →
    • idstringbson-id

      ID of the status

    • statusstring

      Type of the status

      enum: lead · prospect · customer · inactive · general · custom1 · custom2 · customX

    • textstringrequired

      Display text of the status

    • descriptionstring

      Longer description of what the status is for

    • colorstringhex-colorrequired

      The color of the status (six character hex value)

      enum: 666666 · 3399ff · cc0000 · f96600 · 000000 · ff00ff · 009900

    • countsintegerint32

      Number of contacts the (logged API) user owns, with the status

    • total_countintegerint32

      Number of contacts the entire team owns, with the status

    • action_stream_countintegerint32

      Number of contacts the (logged API) user has actions with, who also have the status

    • team_countsarray<object>

      Number of contacts, with the status (for each team member)

      array item fields →
      • user_idstringbson-id

        ID of the user

      • countsintegerint32

        Number of contacts the team member owns, with the status

  • tagsobject

    Tags provide a means to classify contacts by however many tags you choose to attach to them. There are 2 types of tags, tags and system tags

    object fields →
    • tagsarray<object>

      An array of custom tags. A custom tag is a user created tag used for categorising contacts

      array item fields →
      • namestring

        Name of the tag

      • countsintegerint32

        Number of contacts the (logged API) user owns, with the tag

      • total_countintegerint32

        Number of contacts the entire team owns, with the tag

      • action_stream_countintegerint32

        Number of contacts the (logged API) user has actions with, who also have the tag

    • system_tagsarray<object>

      An array of system tags. A system tag is a system generate tag used for categorising contacts

      array item fields →
      • namestring

        Name of the tag

      • countsintegerint32

        Number of contacts the (logged API) user owns, with the tag

      • total_countintegerint32

        Number of contacts the entire team owns, with the tag

      • action_stream_countintegerint32

        Number of contacts the (logged API) user has actions with, who also have the tag

  • contacts_countobject

    Counters showing the number of contacts per letter. The `all` object represents the entire account, while the `users` array contains the same breakdown but per user.

    object fields →
    • allarray<object>

      Counters for the entire account

      array item fields →
      • 1integerint32

        Contacts who's name begins with a non-alphabetic character

      • aintegerint32

        Contacts who's name begins with A

      • bintegerint32

        Contacts who's name begins with B

      • cintegerint32

        Contacts who's name begins with C

      • dintegerint32

        Contacts who's name begins with D

      • eintegerint32

        Contacts who's name begins with E

      • fintegerint32

        Contacts who's name begins with F

      • gintegerint32

        Contacts who's name begins with G

      • hintegerint32

        Contacts who's name begins with H

      • iintegerint32

        Contacts who's name begins with I

      • jintegerint32

        Contacts who's name begins with J

      • kintegerint32

        Contacts who's name begins with K

      • lintegerint32

        Contacts who's name begins with L

      • mintegerint32

        Contacts who's name begins with M

      • nintegerint32

        Contacts who's name begins with N

      • ointegerint32

        Contacts who's name begins with O

      • pintegerint32

        Contacts who's name begins with P

      • qintegerint32

        Contacts who's name begins with Q

      • rintegerint32

        Contacts who's name begins with R

      • sintegerint32

        Contacts who's name begins with S

      • tintegerint32

        Contacts who's name begins with T

      • uintegerint32

        Contacts who's name begins with U

      • vintegerint32

        Contacts who's name begins with V

      • wintegerint32

        Contacts who's name begins with W

      • xintegerint32

        Contacts who's name begins with X

      • yintegerint32

        Contacts who's name begins with Y

      • zintegerint32

        Contacts who's name begins with Z

      • total_countintegerint32
    • usersarray<object>

      Counters per user

      array item fields →
      • 1integerint32

        Contacts who's name begins with a non-alphabetic character

      • aintegerint32

        Contacts who's name begins with A

      • bintegerint32

        Contacts who's name begins with B

      • cintegerint32

        Contacts who's name begins with C

      • dintegerint32

        Contacts who's name begins with D

      • eintegerint32

        Contacts who's name begins with E

      • fintegerint32

        Contacts who's name begins with F

      • gintegerint32

        Contacts who's name begins with G

      • hintegerint32

        Contacts who's name begins with H

      • iintegerint32

        Contacts who's name begins with I

      • jintegerint32

        Contacts who's name begins with J

      • kintegerint32

        Contacts who's name begins with K

      • lintegerint32

        Contacts who's name begins with L

      • mintegerint32

        Contacts who's name begins with M

      • nintegerint32

        Contacts who's name begins with N

      • ointegerint32

        Contacts who's name begins with O

      • pintegerint32

        Contacts who's name begins with P

      • qintegerint32

        Contacts who's name begins with Q

      • rintegerint32

        Contacts who's name begins with R

      • sintegerint32

        Contacts who's name begins with S

      • tintegerint32

        Contacts who's name begins with T

      • uintegerint32

        Contacts who's name begins with U

      • vintegerint32

        Contacts who's name begins with V

      • wintegerint32

        Contacts who's name begins with W

      • xintegerint32

        Contacts who's name begins with X

      • yintegerint32

        Contacts who's name begins with Y

      • zintegerint32

        Contacts who's name begins with Z

      • total_countintegerint32
      • user_idstringbson-id

        ID of the user

  • team_streamobject

    Counters showing the number of entries in the action stream. The `all` object represents the entire account, while the `users` array contains the same breakdown but per user.

    object fields →
    • allintegerint32

      Counters for the entire account (`team_stream`/`action_stream?team=true`)

    • usersarray<object>

      Counters broken down per user (`team_stream?user_id={ID}`)

      array item fields →
      • user_idstringbson-id

        ID of the user

      • countsintegerint32

        The number of entries in the action steam for the user

Standard error responses: 400 · 401 — shared across the API. See Errors.

Related guides